Uploaded image for project: 'Cassandra'
  1. Cassandra
  2. CASSANDRA-15951

Invalid version value: 4.0~alpha4

    XMLWordPrintableJSON

    Details

    • Bug Category:
      Code
    • Severity:
      Normal
    • Complexity:
      Normal
    • Discovered By:
      User Report
    • Platform:
      All
    • Impacts:
      None

      Description

      hello : 

      i was started cassandra  4.0 in Centos 7. When i started everything is fine, but when i stop then start again i get an error like this.

      ERROR [main] 2020-07-16 14:25:11,330 CassandraDaemon.java:789 - Exception encountered during startup
      java.lang.IllegalArgumentException: Invalid version value: 4.0~alpha4
      at org.apache.cassandra.utils.CassandraVersion.<init>(CassandraVersion.java:64)
      at org.apache.cassandra.io.sstable.SSTableHeaderFix.fixNonFrozenUDTIfUpgradeFrom30(SSTableHeaderFix.java:84)
      at org.apache.cassandra.service.CassandraDaemon.setup(CassandraDaemon.java:250)
      at org.apache.cassandra.service.CassandraDaemon.activate(CassandraDaemon.java:650)
      at org.apache.cassandra.service.CassandraDaemon.main(CassandraDaemon.java:767)

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                flightc Erick Ramirez
                Reporter:
                Rafi12 rafi saeputra
                Authors:
                Erick Ramirez
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: